#104 [seqIOABI.c:616]: (style) Same expression on both sides of '||'.

Any
closed-fixed
None
5
2014-02-13
2014-02-13
dcb
No

Source code is

if (read->traceA == NULL || read->traceC == NULL ||
    read->traceC == NULL || read->traceG == NULL)

Maybe

if (read->traceA == NULL || read->traceC == NULL ||
    read->traceG == NULL || read->traceT == NULL)

would be better code.

Related

Bugs: #104

Discussion

  • Change made.

     
    • status: open --> closed-fixed
    • assigned_to: Andrew Whitwham
     
  • Done.

    Thank you for pointing that out. It has been there at least seven years.

    Thanks,

    Andrew

    On 13/02/14 11:37, dcb wrote:


    [bugs:#104] [seqIOABI.c:616]: (style) Same expression on both sides of '||'.

    Status: open
    Created: Thu Feb 13, 2014 11:37 AM UTC by dcb
    Last Updated: Thu Feb 13, 2014 11:37 AM UTC
    Owner: nobody

    Source code is

     if (read->traceA == NULL || read->traceC == NULL ||
         read->traceC == NULL || read->traceG == NULL)
    

    Maybe

     if (read->traceA == NULL || read->traceC == NULL ||
         read->traceG == NULL || read->traceT == NULL)
    

    would be better code.


    Sent from sourceforge.net because staden_admin@sanger.ac.uk is subscribed to https://sourceforge.net/p/staden/bugs/

    To unsubscribe from further messages, a project admin can change settings at https://sourceforge.net/p/staden/admin/bugs/options. Or, if this is a mailing list, you can unsubscribe from the mailing list.

    --
    The Wellcome Trust Sanger Institute is operated by Genome Research
    Limited, a charity registered in England with number 1021457 and a
    company registered in England with number 2742969, whose registered
    office is 215 Euston Road, London, NW1 2BE.

     

    Related

    Bugs: #104